# Credit Card

## Payin by CreditCard

<mark style="color:green;">`POST`</mark> `https://gateway-test.pagsmile.com/trade/pay`

This endpoint allows you to submit a payin by CreditCard in Brazil.

#### Headers

| Name                                            | Type   | Description                                |
| ----------------------------------------------- | ------ | ------------------------------------------ |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; chartset=UTF-8           |
| Authorization<mark style="color:red;">\*</mark> | string | Basic Base($app\_*id:$security\_*&#x6B;ey) |

#### Request Body

| Name                                                        | Type   | Description                                                                                                                                                                          |
| ----------------------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| app\_id<mark style="color:red;">\*</mark>                   | string | <p>created app's id at dashboard</p><p>- Max. 32 chars -</p>                                                                                                                         |
| customer.phone<mark style="color:red;">\*</mark>            | string | User's phone                                                                                                                                                                         |
| customer.email<mark style="color:red;">\*</mark>            | string | User's email                                                                                                                                                                         |
| customer.identify.number<mark style="color:red;">\*</mark>  | string | <p>User's identification number</p><p>- 11 digits if CPF or 14 digits if CNPJ -</p>                                                                                                  |
| method<mark style="color:red;">\*</mark>                    | string | Fixed value: CreditCard                                                                                                                                                              |
| out\_trade\_no<mark style="color:red;">\*</mark>            | string | <p>ID given by the merchant in their system<br>- Max. 64 chars - </p>                                                                                                                |
| notify\_url<mark style="color:red;">\*</mark>               | string | Where Pagsmile will send notification to                                                                                                                                             |
| customer.identify.type<mark style="color:red;">\*</mark>    | string | <p>User's identification type</p><p>- CPF or CNPJ -</p>                                                                                                                              |
| customer.name<mark style="color:red;">\*</mark>             | string | User's name                                                                                                                                                                          |
| timestamp<mark style="color:red;">\*</mark>                 | string | <p>yyyy-MM-dd HH:mm:ss<br>- Max. 19 chars -</p>                                                                                                                                      |
| subject<mark style="color:red;">\*</mark>                   | string | <p>payment reason or item title</p><p>- Max. 128 chars -</p>                                                                                                                         |
| order\_amount<mark style="color:red;">\*</mark>             | string | <p>payment amount<br>- 0.5\~50000 BRL -</p>                                                                                                                                          |
| order\_currency<mark style="color:red;">\*</mark>           | string | Fixed value: BRL                                                                                                                                                                     |
| content<mark style="color:red;">\*</mark>                   | string | <p>payment reason detail or item detail. This will be shown on the bank bill.</p><p>- Max. 255 chars -</p>                                                                           |
| buyer\_id<mark style="color:red;">\*</mark>                 | string | merchant user's id                                                                                                                                                                   |
| address.zip\_code<mark style="color:red;">\*</mark>         | string | zip code                                                                                                                                                                             |
| website\_url                                                | string | <p>merchant website URL</p><p>- Max. 128 chars -</p>                                                                                                                                 |
| address.street                                              | string | <p>street</p><p>- Required if zip\_code not provide -</p>                                                                                                                            |
| address.street\_number                                      | string | <p>street number</p><p>- Required if zip\_code not provide -</p>                                                                                                                     |
| address.city                                                | string | <p>city</p><p>- Required if zip\_code not provide -</p>                                                                                                                              |
| address.state                                               | string | <p>state<br>- Required if zip\_code not provide -</p>                                                                                                                                |
| return\_url                                                 | string | Redirect to Merchant's url when user finished checkout                                                                                                                               |
| token<mark style="color:red;">\*</mark>                     | string | use [Pagsmile Javascript](https://docs.pagsmile.com/payin/submit-a-payin/brazil/broken-reference) to get toekn                                                                       |
| fingerprint<mark style="color:red;">\*</mark>               | string | use [Pagsmile Javascript](https://docs.pagsmile.com/payin/submit-a-payin/brazil/broken-reference) to get fingerprint                                                                 |
| issuer<mark style="color:red;">\*</mark>                    | string | issuer of CreditCard                                                                                                                                                                 |
| installments                                                | string | installments for CreditCard                                                                                                                                                          |
| user\_ip<mark style="color:red;">\*</mark>                  | string | user's IP address                                                                                                                                                                    |
| threeds.status\_code<mark style="color:red;">\*</mark>      | string | 3DSecure - Status code recieved from authorization/authentication response, (Possible values: U, N, Y, A, C, D, R, I)                                                                |
| threeds.status                                              | string | 3DSecure - Status text received from 3D secure vendor                                                                                                                                |
| threeds.avs                                                 | string | Procesor response code for AVS. Only required in cases where all AVS results (zipcode, street address, and name when available) arrive as one string                                 |
| threeds.cvv                                                 | string | CVV result                                                                                                                                                                           |
| threeds.xid<mark style="color:red;">\*</mark>               | string | A unique Visa or Amex transaction id                                                                                                                                                 |
| threeds.server\_trans\_id<mark style="color:red;">\*</mark> | string | Universally unique transaction identifier assigned by the 3DS Server to identify a single transaction generated by the Init 3DS API and used to link the init call to the order call |
| threeds.eci<mark style="color:red;">\*</mark>               | string | ECI value recieved from authorization/authentication response                                                                                                                        |
| threeds.caav<mark style="color:red;">\*</mark>              | string | Authentication Value (CAVV / AAV for 3DS1) recieved from authorization/Authentication response                                                                                       |
| threeds.version<mark style="color:red;">\*</mark>           | string | Version used in the transaction                                                                                                                                                      |
| threeds.sli<mark style="color:red;">\*</mark>               | string | Security level indicator                                                                                                                                                             |
| threeds.status\_reason\_code                                | string | String EMVCO Indicator of the reason for the 3DS status code provided during the authentication, (Possible values: 01, 02, 03, 04, 05, 06, 07, 08, 09, 10, 11, 12, 13, 14, 15, 16)   |
| threeds.liability\_shift                                    | String | liability shift - indicate whether the chargeback liability shifted to the card issuer                                                                                               |

{% tabs %}
{% tab title="200 submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "trade_no": "2022010110293900084",
    "out_trade_no": "202201010354003",
    "web_url": "",
    "trade_status": "PROCESSING"
}
```

{% endtab %}

{% tab title="400 duplicate out\_trade\_no" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "duplicate-out_trade_no",
    "sub_msg": "out_trade_no is duplicate"
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
It is required to implement our JS library for integrating this method.
{% endhint %}

## Example

<pre><code>curl --location --request POST 'https://gateway-test.pagsmile.com/trade/pay' \
--header 'Authorization: Basic MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==' \
--header 'Content-Type: application/json' \
--data-raw '{
    * "app_id": "162************38",
    * "out_trade_no": "202201010354003",
    * "method": "CreditCard",
    * "order_amount": "12.01",
    * "order_currency": "BRL",
    * "subject": "trade pay test",
    * "content": "trade pay test conent",
    * "notify_url": "http://merchant/callback/success",
      "return_url": "https://www.merchant.com",
    * "buyer_id": "buyer_0101_0001",
    * "user_ip":"127.0.0.1",
    * "token":"${token}",
    * "fingerprint":"${fingerprint}",
    * "issuer":"visa",
      "installments":"1",
    * "timestamp": "2022-01-01 03:54:01",
      "timeout_express":"1c",
    * "customer" : {
    *     "identify": {
    *         "type": "CPF",
    *         "number": "11032341882"
          },
    *     "name": "Test User Name",
    *     "email": "test@pagsmile.com",
    *     "phone": "75991435892"
      },
    * "address" : {
    *     "zip_code": "38082365"
      },
    * "threeds": {
    *     "sli": "",
    *     "version": "",
    *     "cavv": "",
    *     "eci": "",
    *     "server_trans_id": "",
    *     "xid": "",
          "cvv": "",
          "avs": "",
          "status": "",
    *     "status_code": "",
          "status_reason_code": "",
          "liability_shift": true
      }
<strong>      }'
</strong></code></pre>

{% hint style="info" %}
Note:  **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox, and **MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==** is authorization token associated with the test app id.&#x20;
{% endhint %}

{% hint style="danger" %}
Please use your own **app\_id** and generate your own **authorization token** when testing.
{% endhint %}
